package com.dowstats.data.repositories

import com.dowstats.data.entities.research.Research
import org.springframework.data.repository.*

interface ResearchRepository : CrudRepository<Research, Long>{
    fun deleteAllByModId(modId: Long)
    fun findAllByModId(modId: Long): List<Research>
    fun findFirstByModIdAndFilename(modId: Long, fileName: String): Research?
}